%if %_lib == lib
%define binary mp3packer
%else
%define binary mp3packer64
%endif

Summary: MP3 reorganizer and repacker
Name: mp3packer
Version: 2.04
Release: %mkrel 8
Source0: http://omion.dyndns.org/mp3packer/%{name}-%{version}_src.zip
#gw see http://www.hydrogenaudio.org/forums/index.php?showtopic=32379&view=findpost&p=812235
Patch0: mp3packer-2.04-fix-build.patch
#pt There is a useless fast-math to prevent the 32 bits makefile target to be used on x86_64
#   It also prevents from using it on armv5
Patch1: mp3packer-2.04-fix-arm-build.patch
License: GPLv2+
Group: Sound/Utilities
Url: http://omion.dyndns.org/
BuildRequires: ocaml >= 4
BuildRequires: p7zip

%description
MP3packer is a program which can rearrange the data within an MP3 to
fulfill specific goals. By default, the program generates the smallest
MP3 possible (with the least padding). However, many people also use
it to turn VBR files into CBR for use with players which don't support
VBR.

%prep
%setup -T -c
#gw this source file doesn't unpack with unzip
7z e %SOURCE0
%autopatch -p1
touch .depend

%build
make depend
# SSEOPT defaults to sse4.1 which is not always present even on x86_64
%make %binary SSEOPT=

%install
mkdir -p %buildroot%_bindir/
cp %binary %buildroot%_bindir/%name

%files
%doc *.html
%_bindir/%name




%changelog
* Fri Jan 15 2016 pterjan <pterjan> 2.04-8.mga6
+ Revision: 923331
- Fix build on armv5tl

* Thu Jan 14 2016 pterjan <pterjan> 2.04-7.mga6
+ Revision: 922923
- Disable sse4.1

* Wed Jan 13 2016 gw666 <gw666> 2.04-6.mga6
+ Revision: 922450
- rebuildd

* Wed Oct 15 2014 umeabot <umeabot> 2.04-5.mga6
+ Revision: 742705
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.04-4.mga5
+ Revision: 682628
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.04-3.mga4
+ Revision: 508032
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.04-2.mga3
+ Revision: 360337
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 gw666 <gw666> 2.04-1.mga3
+ Revision: 329659
- new version
- depend on ocaml 4 for building
- add build patch from hydrogenaudio forum
- work around stupid makefile

* Tue Dec 11 2012 gw666 <gw666> 1.26-1.mga3
+ Revision: 329594
- fix rpm package group
- imported package mp3packer


* Tue Dec 11 2012 Götz Waschk <gw666> 1.26-1.mga2
- initial Magia build
- new version

* Wed Jan 11 2012 Götz Waschk <waschk@mandriva.org> 1.23-1mdv2012.0
+ Revision: 759839
- new version
- fix linking
- import mp3packer

